goocanvas.GroupModel
Prev | PyGooCanvas Canvas Item Models Reference | Next

## goocanvas.GroupModel

goocanvas.GroupModel — A model for group of items.

## Synopsis

    class goocanvas.GroupModel(goocanvas.ItemModelSimple):
        goocanvas.GroupModel(properties=None)

## Ancestry

    +-- gobject.GObject
    	+-- goocanvas.ItemModelSimple
    		+-- goocanvas.GroupModel

## Implemented Interfaces

`goocanvas.GroupModel` implements `goocanvas.ItemModel`

## Description

`goocanvas.GroupModel` represents a group of items. Groups can be nested to any depth, to create a hierarchy of items. Items are ordered within each group, with later items being displayed above earlier items. It is a subclass of `goocanvas.ItemModelSimple` and so inherits all of the style properties such as "stroke-color", "fill-color" and "line-width". Setting a style property on a `goocanvas.GroupModel` will affect all children of the `goocanvas.GroupModel` (unless the children override the property setting). It also implements the `goocanvas.ItemModel` interface, so you can use the `goocanvas.ItemModel` functions such as `goocanvas.ItemModel.raise_()` and `goocanvas.ItemModel.rotate()`, and the properties such as "visibility" and "pointer-events".

## Constructor

        goocanvas.GroupModel(properties=None)

`properties` : | A comma separated properties as **kwargs.
Returns : | A new `goocanvas.GroupModel`

Creates a new canvas model group item.

Prev | Up | Next
goocanvas.GridModel | Home | goocanvas.ImageModel